#pragma once

#include "CoreMinimal.h"
#include "CustomGameConnectingViewInterface.h"
#include "CoreBaseUserWidget.h"
#include "CoreCustomGameConnectingWidget.generated.h"

class UProcessingPopupWidget;

UCLASS(Blueprintable, EditInlineNew)
class UCoreCustomGameConnectingWidget : public UCoreBaseUserWidget, public ICustomGameConnectingViewInterface
{
	GENERATED_BODY()

protected:
	UPROPERTY(BlueprintReadWrite, meta=(BindWidgetOptional))
	UProcessingPopupWidget* ConnectingWidget;

public:
	UCoreCustomGameConnectingWidget();
};

FORCEINLINE uint32 GetTypeHash(const UCoreCustomGameConnectingWidget) { return 0; }
